import { main, FileApi } from '@/api'
import request from '@/utils/require'

// 列表获取
export function selectStorageQualificationApplyPageList(pageForm, param) {
    return request({
        url: `${main}/storagequalificationapply/selectStorageQualificationApplyPageList?pageNum=${pageForm.page}&pageSize=${pageForm.size}`,
        method: 'post',
        data: param
    })
}

//新增
export function insertStorageQualificationApply(data) {
    return request({
        url: `${main}/storagequalificationapply/insertStorageQualificationApply`,
        method: 'post',
        data
    })
}

////修改
export function updateStorageQualificationApply(data) {
    return request({
        url: `${main}/storagequalificationapply/updateStorageQualificationApply`,
        method: 'post',
        data
    })
}


//材料
export function selectStorageQualificationMaterialAll(data) {
    return request({
        url: `${main}/storagequalificationmaterial/selectStorageQualificationMaterialAll`,
        method: 'post',
        data
    })
}

///cbl
export function selectStorageQualificationMaterialDetail(data) {
    return request({
        url: `${main}/storagequalificationmaterial/selectStorageQualificationMaterialDetail`,
        method: 'post',
        data
    })
}

//详情/cbl
export function selectStorageQualificationApplyDetail(data) {
    return request({
        url: `${main}/storagequalificationapply/selectStorageQualificationApplyDetail`,
        method: 'post',
        data
    })
}

//上传
export function findByIds(data) {
    return request({
        url: `${FileApi}/file/findByIds?ids=${data}`,
        method: 'get'
    })
}